Macro Align Face Object to View

From FreeCAD Documentation
Revision as of 10:07, 21 December 2021 by Roy 043 (talk | contribs) (Undo revision 1034764 by Roy 043 (talk))
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Other languages:

Macro Align Face Object to View

Description
This macro directs the face of the object on the side of the ActiveView.

Macro version: 0.1
Last modified: 2015-01-16
FreeCAD version: All
Download: ToolBar Icon
Author: Mario52
Author
Mario52
Download
ToolBar Icon
Links
Macro Version
0.1
Date last modified
2015-01-16
FreeCAD Version(s)
All
Default shortcut
None
See also
FCCamera Macro_FCCamera

Description

This macro directs the face of the object on the side of the ActiveView (camera). In the case of the face of a borehole (or internal or cylinder) face drilling facing the screen.

Usage

  • Select your object and run the macro.
  • Your object will be of the camera.

Script

ToolBar Icon

Macro_Align_Face_Object_to_View.FCMacro

# This macro directs the face of the object on the side of the ActiveView (camera)
# extact FCCamera
# 16/01/2015

__title__="Macro_Align_Face_Object_to_View"
__author__ = "Mario52"

import pivy
from pivy import coin

try:
    v=Gui.Selection.getSelectionEx()[0].SubObjects[0].Surface.Axis    # to Axis
#    v = Gui.Selection.getSelectionEx()[0].SubObjects[0].normalAt(0,0) # normalAt
    r=App.Rotation(App.Vector(0,0,1),v)
    Gui.ActiveDocument.ActiveView.setCameraOrientation(r.Q)
except Exception:
    App.Console.PrintError("Select a face and run the macro"+"\n")

Links

Original macro by wmayer Looking for some helpful GUI-commands